<!DOCTYPE html>
<html lang="en">
    <head>
        <title>7_폼관련태그</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="css/style.css" rel="stylesheet">
    
    </head>
    <body>
        <h1>폼 관련 태그</h1>
        <p>
            from태그는 html 내에서 사용자가 입력할 수 있는 양식을 제공하는 태그이다.
            form태그 내의 input 태그들을 통해 사용자가 입력하는 정보를 서버로 넘기는 
            역할을 한다.
        </p>

        <form action="" method="get">
            <label for="search">검색할 내용</label>
            <input type="text" size="20" name="search" id="search" required>
            <input type="submit" value="검색">
        </form>

        <p>
            submit 버튼을 눌렀을 때 form 태그애 지정 된 action 속성의 경로로,
            method 속성에서 지정한 방식으로, form 태그 내부에 있는 input 태그의 값들이
            서버로 전송된다. method의 기본 설정은 get 방식으로 되어있고 get 방식의 경우
            url에 주소?name=valus&name=value와 같이 데이터가 전송 되는 모습을 확인할 수 있다.
        </p>
    
        <h3>fieldset : 폼 요소를 그룹으로 묶는 태그</h3>
        <h3>legend : 묶은 폼 요소에 명칭을 붙이는 태그</h3>

        <form>
            <fieldset>
                <legend>필드 셋의 제목을 작성하는 부분</legend>
                <label>입력 1 : </label>
                <input type="text"> <br>
                <label>입력 2 : </label>
                <input type="text"><br>
                <label>입력 3 : </label>  
                <input type="text>">
            </fieldset>
            <fieldset>
                <legend>필드 셋으로 묶어 영역별로 구분</legend>
                <label>입력 1 : </label>
                <input type="text"> <br>
                <label>입력 2 : </label>
                <input type="text"><br>
                <label>입력 3 : </label>  
                <input type="text>">
            </fieldset>
        </form>
        <h2>text와 관련 된 input 태그</h2>
        <form>
            <h3>type="text"</h3>
            <p>한 줄짜리 텍스트를 입력할 수 있는 텍스트 상자</p>
            <label>아이디 : </label>
            <input type="text" name="userid" size="20" placeholder="아이디를 입력하세요"
             maxlength="15" value="himedia" readonly>

             <h3>type="password"</h3>
             <label>비밀번호 : </label>
             <input type="password" name="userpwd" size="20"
             placeholder="비밀번호를 입력하세요" maxlength="15">

            <h3>type="search", type="url", type="email", type="tel"</h3>
            <p>
                겉모습은 텍스트 필드와 비슷하지만 각각의 정보에 맞게 분화된 기능을 제공하는
                 텍스트 상자
            </p>
            <label>검색 : </label>
            <input type="search" name="searchtext" placeholder="검색할 내용 입력"> <br>
            <label>홈페이지 : </label>
            <input type="url" name="homepage" value="https://"><br>
            <label>이메일 : </label>
            <input type="email" name="email" placeholder="이메일 입력"><br>
            <label>전화번호 : </label>
            <input type="tel" name="phone" placeholder="전화번호 입력"><br>
        
            <input type="submit" value="전송">
        </form>

        <h2>숫자와 관련 된 input 태그</h2>
        <form>
        <p>
            입력창에 숫자를 입력하는 것이 기본이지만, 브라우저에 따라 스벅 박스가
            표시되기도 한다. (스핀박스 : 입력창 오른쪽 위/아래 화살표 버튼)

        </p>
        <label>수량</label>
        <input type="number" name="amount" min="0" max="100" step="10" value="50">

        <h3>type="range"</h3>
        <p>
            슬라이드 바를 통해 숫자 지정 가능하다.
        </p>
        <input type="range" name="point" min="0" max="100" step="10"><br>

        <input type="submit" value="제출">
    </form>

    <h2>날짜/시간 관련한 input 태그</h2>
    <form>
        <h3>type="date/month/week/time/datetime-local"></h3>
        <label>date : </label>
        <input type="date" name="dateIn"><br>
        <label>month : </label>
        <input type="month" name="monthIn"><br>
        <label>week : </label>
        <input type="week" name="weekIn"><br>
        <label>time : </label>
        <input type="time" name="timeIn"><br>
        <label>datetime-local : </label>
        <input type="datetime-local" name="dtlIn"><br>

        <input type="submit" value="제출">
         
    </form>

    <h2>라디오 버튼과 체크 박스</h2>
    <p>
        태그를 여러 개 선언하여 하나의 용도로 사용하는 경우 name 속성 값이 같아야 한다.

    </p>
    <form>
        <h3>type="radio"</h3>
        <label>성별 : </label>
        <input type="radio" name="gender" id="male" value="M">
        <label for="male">남자</label>
        <input type="radio" name="gender" id="female" value="F" checked>
        <label for="female">여자</label>

        <h3>type="checkbox"</h3>
        <label>취미 : </label>
        <input type="checkbox" name="hobby" id="baseball" value="baseball">
        <label for="baseball">야구</label>
        <input type="checkbox" name="hobby" id="basketball" value="basketball">
        <label for="basketball">농구</label>
        <input type="checkbox" name="hobby" id="football" value="foorball" checked>
        <label for="football">축구</label><br>

        <input type="submit" value="전송">

    </form>

    <h2>추가 input 태그</h2>
    <form>
        <h3>tyoe="color"</h3>
        <label>색상 선택 : </label>
        <input type="color" name="color">

        <h3>type="file"</h3>
        <lable>파일 선택 : </lable>
        <input type="file" name="uploadfile">

        <h3>type="hidden"</h3>
        <label>안 보임 : </label>
        <input type="hidden" name="hiddenvalue" value="1">

        <h3>type="button", type="submit", type="result"</h3>

        <input type="button" value="button">
        <input type="submit" value="submit">
        <input type="reset" value="reset">

        <!-- 버튼 태그를 이용해서 버튼 만들기
            유의할 점 : form 태그 안의 button 태그의 type을 기재하지 않았을 경우
            default type이 submit이므로 타입 기재에 유의한다. -->
        <button type="button">button</button>
        <button type="submit">submit</button>
        <button type="reset">reset</button>
    </form>

    <h2>select 태그와 option 태그</h2>
    <form>
        <label>국적 : </label>
        <select name="nationality">
            <option value="ko">한국</option>
            <option value="ch">중국</option>
            <option value="jp">일본</option>
            <option value="etc" selected>기타</option>
        </select>

        <input type="submit">
    </form>

    <h2>textarea 태그</h2>
    <p>
        input type="text"와 비슷하지만 여러줄을 입력할 수 있디.
    </p>
<form>
    <textarea cols="50" rows="10" style="resize:none;">고정 값</textarea>
</form>

















        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
    </body>
</html>
